Skip to main content

Details of an In-App Subscription

🚧
Feature under development

In-App Subscriptions are currently under development and will be released soon. This endpoint may change before launch.

You can retrieve detailed information about a specific In-App Product linked to your application through the Aptoide Connect Developer Console or programmatically via this API endpoint.

Endpoint

MethodURL
GEThttps://ws.catappult.io/api/applications/{applicationName}/subscriptions/{sku}

Authentication

To access this API, you need to have an active account subscription on Aptoide Connect and authenticate with an API key (check here how to generate one).

⚠️
Account type required

In-app subscriptions can only be retrieved by accounts of type Developer.

Headers

HeaderTypeRequiredDescription
Api-KeystringRequiredUsed to authenticate your API requests. The value is your Aptoide Connect API key.

Path Parameters

ParameterTypeDescription
applicationNamestringThe unique package name of the application (e.g. com.example.test).
skustringThe unique identifier of the in-app subscription to retrieve (e.g., subscription01).

Query Parameters

Parameter

Type

Required

Description

operatingSystem

string (URL)or file

Optional (default: android)

Specifies the operating system for the in-app subscription. Possible values:
android
ios

Response

Success

If the API call returns an HTTP 200 status code, the request was successful and it returns a JSON object containing detailed information about the in-app subscription.

Example Response

{
"addedTimestamp": "2025-01-01 00:00:00",
"countryPrices": [
{
"amount": 2,
"country": "PT",
"currency": "EUR"
}
],
"freeTrialPeriod": null,
"gracePeriod": null,
"id": "BT3XD2PNZ54OHDC7",
"locales": [
{
"description": "Descripcion",
"isDefault": true,
"locale": "es",
"title": "Titulo"
},
{
"description": "Descricao",
"isDefault": false,
"locale": "pt",
"title": "Titulo"
}
],
"modifiedTimestamp": "2025-01-01 00:00:00",
"period": "P1W",
"referencePrice": {
"amount": 1,
"currency": "USD"
},
"sku": "subscription01",
"status": "ACTIVE"
}